<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Profile extends Controller_UserEnvironment
{
    public function action_student() {
        $this->generateTwig();
        $this->twig->set_filename('admin/students/profile');
    }

    public function action_teacher() {
        $this->generateTwig();
        $this->twig->set_filename('admin/teachers/profile');
    }

    protected function generateTwig() {
        $id = (int) $this->request->param('param1');
        # TODO: use getUserInfo
        $this->twig->set([
            'Account' => Model_Account::getAccountInfo($id),
            'Profile' => Model_Account::getPersonalInfo($id),
        ]);
    }
}
